﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Delegate
{
    class EventDelegate : Form
    {
        public delegate void ClickEvent(object sender);
        public event ClickEvent MyClick;

        public EventDelegate()
        {
            this.MouseClick += delegate { MyAreaClicked(); };
        }

        private void MyAreaClicked()
        {
            if (MyClick != null)
                MyClick(this);
        }
    }
}
