﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Delegate
{
    class InterA
    {
        private delegate void RunDelegate(int i);

        private void PrintDec(int val)
        {
            Console.WriteLine("{0}", val);
        }

        private void PrintHex(int val)
        {
            Console.WriteLine("0x{0:X}", val);
        }

        public void DoWork()
        {
            RunDelegate run = new RunDelegate(PrintDec);
            run(1024);

            run = PrintHex;
            run(1024);
        }
    }
}
