﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Delegate
{
    class Basic
    {
        delegate int MyDelegate(string s);

        public void Test()
        {
            MyDelegate m = new MyDelegate(StringToInt);
            Run(m);
        }

        private int StringToInt(string s)
        {
            return int.Parse(s);
        }

        private void Run(MyDelegate m)
        {
            int i = m("123");
            Console.WriteLine(i);
        }
    }
}
